Name:          xorgproto
Version:       2018.4
Release:       1mamba
Summary:       X.org prototypes
Group:         Development/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://x.org
Source:        ftp://ftp.x.org/pub/individual/proto/xorgproto-%{version}.tar.gz
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: libXt-devel
## AUTOBUILDREQ-END
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
This package provides the headers and specification documents defining the core protocol and (many) extensions for the X Window System.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      pkg-config
Provides:      xproto-devel
Obsoletes:     xproto-devel
Provides:      bigreqsproto-devel
Obsoletes:     bigreqsproto-devel
Provides:      compositeproto-devel
Obsoletes:     compositeproto-devel
Provides:      dri2proto-devel
Obsoletes:     dri2proto-devel
Provides:      dri3proto-devel
Obsoletes:     dri3proto-devel
Provides:      fixesproto-devel
Obsoletes:     fixesproto-devel
Provides:      fontsproto-devel
Obsoletes:     fontsproto-devel
Provides:      glproto-devel
Obsoletes:     glproto-devel
Provides:      inputproto-devel
Obsoletes:     inputproto-devel
Provides:      kbproto-devel
Obsoletes:     kbproto-devel
Provides:      presentproto-devel
Obsoletes:     presentproto-devel
Provides:      randrproto-devel
Obsoletes:     randrproto-devel
Provides:      recordproto-devel
Obsoletes:     recordproto-devel
Provides:      scrnsaverproto-devel
Obsoletes:     scrnsaverproto-devel
Provides:      trapproto-devel
Obsoletes:     trapproto-devel
Provides:      videoproto-devel
Obsoletes:     videoproto-devel
Provides:      windowswmproto-devel
Obsoletes:     windowswmproto-devel
Provides:      xcmiscproto-devel
Obsoletes:     xcmiscproto-devel
Provides:      xextproto-devel
Obsoletes:     xextproto-devel
Provides:      xf86dgaproto-devel
Obsoletes:     xf86dgaproto-devel
Provides:      xf86miscproto-devel
Obsoletes:     xf86miscproto-devel
Provides:      xf86vidmodeproto-devel
Obsoletes:     xf86vidmodeproto-devel
Provides:      xineramaproto-devel
Obsoletes:     xineramaproto-devel
Provides:      xproxymanagementprotocol-devel
Obsoletes:     xproxymanagementprotocol-devel
Provides:      xorg-proto-devel
Obsoletes:     xorg-proto-devel

%description devel
This package provides the headers and specification documents defining the core protocol and (many) extensions for the X Window System.
This package contains header files for developing applications that use X.org.

%prep
%setup -q

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files devel
%defattr(-,root,root)
%{_includedir}/GL/*.h
%{_includedir}/GL/internal/glcore.h
%{_includedir}/X11/*.h
%{_includedir}/X11/extensions/*.h
%{_includedir}/X11/fonts/*.h
%{_includedir}/X11/PM/*.h
%{_includedir}/X11/dri/*.h
%dir %{_docdir}/xorgproto/
%{_docdir}/xorgproto/*
%{_datadir}/pkgconfig/applewmproto.pc
%{_datadir}/pkgconfig/bigreqsproto.pc
%{_datadir}/pkgconfig/compositeproto.pc
%{_datadir}/pkgconfig/damageproto.pc
%{_datadir}/pkgconfig/dmxproto.pc
%{_datadir}/pkgconfig/dri2proto.pc
%{_datadir}/pkgconfig/dri3proto.pc
%{_datadir}/pkgconfig/fixesproto.pc
%{_datadir}/pkgconfig/fontsproto.pc
%{_datadir}/pkgconfig/glproto.pc
%{_datadir}/pkgconfig/inputproto.pc
%{_datadir}/pkgconfig/kbproto.pc
%{_datadir}/pkgconfig/presentproto.pc
%{_datadir}/pkgconfig/randrproto.pc
%{_datadir}/pkgconfig/recordproto.pc
%{_datadir}/pkgconfig/renderproto.pc
%{_datadir}/pkgconfig/resourceproto.pc
%{_datadir}/pkgconfig/scrnsaverproto.pc
%{_datadir}/pkgconfig/trapproto.pc
%{_datadir}/pkgconfig/videoproto.pc
%{_datadir}/pkgconfig/windowswmproto.pc
%{_datadir}/pkgconfig/xcmiscproto.pc
%{_datadir}/pkgconfig/xextproto.pc
%{_datadir}/pkgconfig/xf86bigfontproto.pc
%{_datadir}/pkgconfig/xf86dgaproto.pc
%{_datadir}/pkgconfig/xf86driproto.pc
%{_datadir}/pkgconfig/xf86miscproto.pc
%{_datadir}/pkgconfig/xf86vidmodeproto.pc
%{_datadir}/pkgconfig/xineramaproto.pc
%{_datadir}/pkgconfig/xproto.pc
%{_datadir}/pkgconfig/xproxymngproto.pc
%doc AUTHORS

%changelog
* Sun Mar 03 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 2018.4-1mamba
- package created using the webbuild interface
